Ubuntu

xf86-video-geode: memory corruption in some bitmaps

Reported by foobar on 2011-09-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-geode (Debian)
Confirmed
Unknown
xserver-xorg-video-geode (Ubuntu)
Undecided
Unassigned

Bug Description

According xorg.log the driver is not loaded, which causes problems:
[ 68026.496] (II) LoadModule: "geode"
[ 68026.498] (II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
[ 68026.499] (EE) Failed to load /usr/lib/xorg/modules/drivers/geode_drv.so: /usr/lib/xorg/modules/drivers/geode_drv.so: undefined symbol: rrPrivKey
[ 68026.499] (EE) LoadModule: Module geode does not have a geodeModuleData data object.
[ 68026.499] (II) UnloadModule: "geode"
[ 68026.499] (II) Unloading geode
[ 68026.499] (EE) Failed to load module "geode" (invalid module, 0)
[ 68026.499] (II) LoadModule: "vesa"
[ 68026.503] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so

ii xserver-xorg-video-geode 2.11.12-1build2 X.Org X server -- Geode GX2/LX display driver

file /usr/lib/xorg/modules/drivers/geode_drv.so
/usr/lib/xorg/modules/drivers/geode_drv.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

ls -la /usr/lib/xorg/modules/drivers/geode_drv.so
-rw-r--r-- 1 root root 230828 2011-05-31 10:57 /usr/lib/xorg/modules/drivers/geode_drv.so

foobar (gagarin) wrote :

rebuilding the geode_drv source package, helped loading the module.

however i'm also having the issue that a user with debian has:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570637

Martin-Éric Racine (q-funk) wrote :

Can you tell more about your particular variant of bitmap corruption? It would also help if you precised which Ubuntu release you're using.

summary: - geode driver doesn't load
+ xf86-video-geode: memory corruption in some bitmaps
Changed in xserver-xorg-video-geode (Ubuntu):
status: New → Triaged
Changed in xserver-xorg-video-geode (Debian):
status: Unknown → Confirmed
Changed in xserver-xorg-video-geode (Ubuntu):
status: Triaged → Incomplete
Martin-Éric Racine (q-funk) wrote :

2.11.14 is available in my PPA. Can you test it and report whether it fixes the issue or not?

Martin-Éric Racine (q-funk) wrote :

Geode 2.11.14-1 was imported into Ubuntu a while back.

Can you please confirm whether it fixes the issue or not?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.